#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	restinio
Version		:	v.0.6.14
Release		:	16.2.0.rel%{?dist}
Summary		:	A C++14 library to embedded HTTP/Websocket server.


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD-3
URL		:	https://github.com/Stiffstream/restinio


Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	boost
BuildRequires	:	cmake
BuildRequires	:	fmt
BuildRequires	:	gcc
BuildRequires	:	openssl-devel
BuildRequires	:	pcre
BuildRequires	:	pcre2
BuildRequires	:	zlib

Requires	:	asio
Requires	:	fmt
#-----------------------------------------------------------------------------
%description
RESTinio is a header-only C++14 library that gives you an embedded
HTTP/Websocket server. It is based on standalone version of ASIO and
targeted primarily for asynchronous processing of HTTP-requests.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
#%{_includedir}/http_parser.h
%{_includedir}/%{name}/*.hpp
%{_includedir}/%{name}/helpers/*.hpp
%{_includedir}/%{name}/helpers/http_field_parsers/*.hpp
%{_includedir}/%{name}/helpers/http_field_parsers/details/*.hpp
%{_includedir}/%{name}/path2regex/*.hpp
%{_includedir}/%{name}/impl/*.{hpp,ipp}
%{_includedir}/%{name}/router/*.hpp
%{_includedir}/%{name}/router/impl/*.hpp
%{_includedir}/%{name}/so5/*.hpp
%{_includedir}/%{name}/sync_chain/*.hpp
%{_includedir}/%{name}/third_party/*/*.hpp
%{_includedir}/%{name}/transforms/*.hpp
%{_includedir}/%{name}/utils/*.{hpp,ipp}
%{_includedir}/%{name}/utils/impl/*.hpp
%{_includedir}/%{name}/websocket/*.hpp
%{_includedir}/%{name}/websocket/impl/*.hpp
#{_libdir}/libhttp_parser.so
%{_libdir}/cmake/%{name}/%{name}-*.cmake
#{_datadir}/unofficial-http-parser/unofficial-http-parser-*.cmake

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B build					\
	-S dev						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}	\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D CMAKE_BUILD_TYPE=Release			\
	-D RESTINIO_FIND_DEPS=ON 			\
        -D RESTINIO_TEST=OFF				\
	-D RESTINIO_SAMPLE=OFF				\
	-D RESTINIO_INSTALL_SAMPLES=OFF			\
	-D RESTINIO_BENCH=OFF				\
	-D RESTINIO_INSTALL_BENCHES=OFF			\
	-D RESTINIO_ALLOW_SOBJECTIZER=OFF		\
	-D RESTINIO_USE_EXTERNAL_HTTP_PARSER=ON		\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 						\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
